

body {
    font-family: Verdana, sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    background-color: rgb(4, 0, 49);
}

main {
    flex: 1; /* pushes footer down by filling remaining space */
}

footer {
    margin-top: auto;
    padding:0.6rem;
}

.container {
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.display-inline-block {
    display: inline;
}

.display-flex {
    display:flex;
}

.flex-space-between {
    justify-content: space-between;
}

.flex-center {
    justify-content: center;
}

.position-relative {
    position: relative;
}

.position-absolute {
    position: absolute;
}


@keyframes spincoin {
    0% {
        transform: scaleX(1);
        filter:brightness(120%);
    }
    10% {
        filter:brightness(100%);
    }
    50% {
        transform: scaleX(0.05);
        filter:brightness(10%);
    }
    90% {
        filter:brightness(100%);
    }
    100% {
        transform: scaleX(1);
        filter:brightness(120%);
    }
}

.spinning-coin {
    animation-name: spincoin;
    animation-duration: 1.5s;
    animation-iteration-count:infinite;
    animation-timing-function: ease-in-out;
}


.toad-img{
    height: 100%;
    top:0;
    left:0;
    background-color: rgb(153, 128, 250);
    padding:0.2rem;
    border-radius: 50%;
}

.m0 {
    margin:0;
}

.mt-0 {
    margin-top:0;
}

.mt-1 {
    margin-top:0.5rem;
}

.mt-2 {
    margin-top:1rem;
}

.mt-3 {
    margin-top:1.5rem;
}

.mt-4 {
    margin-top:2.2rem;
}

.mb-0 {
    margin-bottom:0;
}

.mb-1 {
    margin-bottom:0.5rem;
}

.mb-2 {
    margin-bottom:1rem;
}

.p2 {
    padding:0.5rem;
}


a {
    color: rgb(153, 128, 250);
}

.color-purple {
    color: rgb(153, 128, 250);
}

.purple-shadow {
    text-shadow: 0.05em 0.05em 0px rgb(237, 76, 103);
}

.diy-line-art-preview-image-container {
    max-width: 100%;
    max-height: 100%;
}

.diy-line-art-preview-image {
    width: 100%;
    object-fit: contain;
    border-radius: 5px;
}

.service-line {
    margin:0.3rem;
    padding:0.3rem;
    background-color: rgb(27, 20, 100);
    color:rgb(255, 195, 18);
    border-radius: 5px;
}

.footer {
    background-color: rgb(111, 30, 81);
    display: flex;
    justify-content: space-around;
    border-radius: 5px;
    padding: 0.6rem;
}

.footer-item {
    margin-right:0.4rem;
    font-size:92%;
}

.copyright-notice {
    color:white;
}

.diy-line-art-kit-details {
    background-color:rgb(18, 203, 196);
    padding:0.5rem;
    display: inline-block;
    font-family: 'Courier New', Courier, monospace;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    font-size:90%;
}

.cursor-pointer:hover {
    cursor: pointer;
}

.color-white {
    color:#fff;
}

 p {
    margin-top: 0;
    margin-bottom: 0;
 }